- job:
    name: trigger-optee-kmgk-sanity-check
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
        - github:
            url: https://github.com/linaro-swg/kmgk
    disabled: false
    node: triggers
    display-name: 'Trigger for OP-TEE KMGK sanity check'
    scm:
        - git:
            url: https://github.com/linaro-swg/kmgk.git
            refspec: +refs/pull/*:refs/remotes/origin/pr/*
            name: origin
            branches:
                - ${sha1}
            skip-tag: true
            shallow-clone: true
            wipe-workspace: true
    triggers:
        - github-pull-request:
            github-hooks: true
            permit-all: true
            auth-id: 'GITHUB_TOKEN'
    wrappers:
        - timestamps
    builders:
        - shell: |
            #!/bin/bash -e
            echo "#${BUILD_NUMBER}-${ghprbActualCommit:0:8}" > ${WORKSPACE}/version.txt
        - build-name-setter:
            name: 'version.txt'
            file: true
        - trigger-builds:
            - project:
                - 'android-hikey-optee-p'
              current-parameters: true
              block: true
